# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: CalibrationService.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='CalibrationService.proto',
  package='sila2.biovt.mw.tum.de.examples.calibrationservice.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x18\x43\x61librationService.proto\x12\x34sila2.biovt.mw.tum.de.examples.calibrationservice.v1\x1a\x13SiLAFramework.proto\"&\n$GetCalibrationCertificate_Parameters\"i\n#GetCalibrationCertificate_Responses\x12\x42\n\x1aLastCalibrationCertificate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"i\n$SetCalibrationCertificate_Parameters\x12\x41\n\x19SetCalibrationCertificate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x8c\x01\n#SetCalibrationCertificate_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1f\n\x1dGetCalibrationDate_Parameters\"[\n\x1cGetCalibrationDate_Responses\x12;\n\x13LastCalibrationDate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"[\n\x1dSetCalibrationDate_Parameters\x12:\n\x12SetCalibrationDate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x85\x01\n\x1cSetCalibrationDate_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1d\n\x1bGetServiceNumber_Parameters\"W\n\x1aGetServiceNumber_Responses\x12\x39\n\x11LastServiceNumber\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1d\n\x1bSetServiceNumber_Parameters\"\x83\x01\n\x1aSetServiceNumber_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1b\n\x19GetServiceDate_Parameters\"S\n\x18GetServiceDate_Responses\x12\x37\n\x0fLastServiceDate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"S\n\x19SetServiceDate_Parameters\x12\x36\n\x0eSetServiceDate\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x81\x01\n\x18SetServiceDate_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\",\n*GetSensorCalibrationTemperature_Parameters\"v\n)GetSensorCalibrationTemperature_Responses\x12I\n#CurrentSensorCalibrationTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"s\n*SetSensorCalibrationTemperature_Parameters\x12\x45\n\x1fSetSensorCalibrationTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x90\x01\n)SetSensorCalibrationTemperature_Responses\x12,\n\x06Status\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\xfc\x0f\n\x12\x43\x61librationService\x12\xd4\x01\n\x19GetCalibrationCertificate\x12Z.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Parameters\x1aY.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Responses\"\x00\x12\xd4\x01\n\x19SetCalibrationCertificate\x12Z.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Parameters\x1aY.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Responses\"\x00\x12\xbf\x01\n\x12GetCalibrationDate\x12S.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Responses\"\x00\x12\xbf\x01\n\x12SetCalibrationDate\x12S.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Parameters\x1aR.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Responses\"\x00\x12\xb9\x01\n\x10GetServiceNumber\x12Q.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Responses\"\x00\x12\xb9\x01\n\x10SetServiceNumber\x12Q.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Responses\"\x00\x12\xb3\x01\n\x0eGetServiceDate\x12O.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Responses\"\x00\x12\xb3\x01\n\x0eSetServiceDate\x12O.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Responses\"\x00\x12\xe6\x01\n\x1fGetSensorCalibrationTemperature\x12`.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Parameters\x1a_.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Responses\"\x00\x12\xe6\x01\n\x1fSetSensorCalibrationTemperature\x12`.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Parameters\x1a_.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETCALIBRATIONCERTIFICATE_PARAMETERS = _descriptor.Descriptor(
  name='GetCalibrationCertificate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=103,
  serialized_end=141,
)


_GETCALIBRATIONCERTIFICATE_RESPONSES = _descriptor.Descriptor(
  name='GetCalibrationCertificate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='LastCalibrationCertificate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Responses.LastCalibrationCertificate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=143,
  serialized_end=248,
)


_SETCALIBRATIONCERTIFICATE_PARAMETERS = _descriptor.Descriptor(
  name='SetCalibrationCertificate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetCalibrationCertificate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Parameters.SetCalibrationCertificate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=250,
  serialized_end=355,
)


_SETCALIBRATIONCERTIFICATE_RESPONSES = _descriptor.Descriptor(
  name='SetCalibrationCertificate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=358,
  serialized_end=498,
)


_GETCALIBRATIONDATE_PARAMETERS = _descriptor.Descriptor(
  name='GetCalibrationDate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=500,
  serialized_end=531,
)


_GETCALIBRATIONDATE_RESPONSES = _descriptor.Descriptor(
  name='GetCalibrationDate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='LastCalibrationDate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Responses.LastCalibrationDate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=533,
  serialized_end=624,
)


_SETCALIBRATIONDATE_PARAMETERS = _descriptor.Descriptor(
  name='SetCalibrationDate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetCalibrationDate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Parameters.SetCalibrationDate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=626,
  serialized_end=717,
)


_SETCALIBRATIONDATE_RESPONSES = _descriptor.Descriptor(
  name='SetCalibrationDate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=720,
  serialized_end=853,
)


_GETSERVICENUMBER_PARAMETERS = _descriptor.Descriptor(
  name='GetServiceNumber_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=855,
  serialized_end=884,
)


_GETSERVICENUMBER_RESPONSES = _descriptor.Descriptor(
  name='GetServiceNumber_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='LastServiceNumber', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Responses.LastServiceNumber', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=886,
  serialized_end=973,
)


_SETSERVICENUMBER_PARAMETERS = _descriptor.Descriptor(
  name='SetServiceNumber_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=975,
  serialized_end=1004,
)


_SETSERVICENUMBER_RESPONSES = _descriptor.Descriptor(
  name='SetServiceNumber_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1007,
  serialized_end=1138,
)


_GETSERVICEDATE_PARAMETERS = _descriptor.Descriptor(
  name='GetServiceDate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1140,
  serialized_end=1167,
)


_GETSERVICEDATE_RESPONSES = _descriptor.Descriptor(
  name='GetServiceDate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='LastServiceDate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Responses.LastServiceDate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1169,
  serialized_end=1252,
)


_SETSERVICEDATE_PARAMETERS = _descriptor.Descriptor(
  name='SetServiceDate_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetServiceDate', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Parameters.SetServiceDate', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1254,
  serialized_end=1337,
)


_SETSERVICEDATE_RESPONSES = _descriptor.Descriptor(
  name='SetServiceDate_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1340,
  serialized_end=1469,
)


_GETSENSORCALIBRATIONTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorCalibrationTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1471,
  serialized_end=1515,
)


_GETSENSORCALIBRATIONTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetSensorCalibrationTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorCalibrationTemperature', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Responses.CurrentSensorCalibrationTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1517,
  serialized_end=1635,
)


_SETSENSORCALIBRATIONTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='SetSensorCalibrationTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetSensorCalibrationTemperature', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Parameters.SetSensorCalibrationTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1637,
  serialized_end=1752,
)


_SETSENSORCALIBRATIONTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='SetSensorCalibrationTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1755,
  serialized_end=1899,
)

_GETCALIBRATIONCERTIFICATE_RESPONSES.fields_by_name['LastCalibrationCertificate'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONCERTIFICATE_PARAMETERS.fields_by_name['SetCalibrationCertificate'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONCERTIFICATE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONCERTIFICATE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETCALIBRATIONDATE_RESPONSES.fields_by_name['LastCalibrationDate'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONDATE_PARAMETERS.fields_by_name['SetCalibrationDate'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONDATE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETCALIBRATIONDATE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETSERVICENUMBER_RESPONSES.fields_by_name['LastServiceNumber'].message_type = SiLAFramework__pb2._STRING
_SETSERVICENUMBER_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETSERVICENUMBER_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETSERVICEDATE_RESPONSES.fields_by_name['LastServiceDate'].message_type = SiLAFramework__pb2._STRING
_SETSERVICEDATE_PARAMETERS.fields_by_name['SetServiceDate'].message_type = SiLAFramework__pb2._STRING
_SETSERVICEDATE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETSERVICEDATE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETSENSORCALIBRATIONTEMPERATURE_RESPONSES.fields_by_name['CurrentSensorCalibrationTemperature'].message_type = SiLAFramework__pb2._REAL
_SETSENSORCALIBRATIONTEMPERATURE_PARAMETERS.fields_by_name['SetSensorCalibrationTemperature'].message_type = SiLAFramework__pb2._REAL
_SETSENSORCALIBRATIONTEMPERATURE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._REAL
_SETSENSORCALIBRATIONTEMPERATURE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetCalibrationCertificate_Parameters'] = _GETCALIBRATIONCERTIFICATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCalibrationCertificate_Responses'] = _GETCALIBRATIONCERTIFICATE_RESPONSES
DESCRIPTOR.message_types_by_name['SetCalibrationCertificate_Parameters'] = _SETCALIBRATIONCERTIFICATE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetCalibrationCertificate_Responses'] = _SETCALIBRATIONCERTIFICATE_RESPONSES
DESCRIPTOR.message_types_by_name['GetCalibrationDate_Parameters'] = _GETCALIBRATIONDATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCalibrationDate_Responses'] = _GETCALIBRATIONDATE_RESPONSES
DESCRIPTOR.message_types_by_name['SetCalibrationDate_Parameters'] = _SETCALIBRATIONDATE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetCalibrationDate_Responses'] = _SETCALIBRATIONDATE_RESPONSES
DESCRIPTOR.message_types_by_name['GetServiceNumber_Parameters'] = _GETSERVICENUMBER_PARAMETERS
DESCRIPTOR.message_types_by_name['GetServiceNumber_Responses'] = _GETSERVICENUMBER_RESPONSES
DESCRIPTOR.message_types_by_name['SetServiceNumber_Parameters'] = _SETSERVICENUMBER_PARAMETERS
DESCRIPTOR.message_types_by_name['SetServiceNumber_Responses'] = _SETSERVICENUMBER_RESPONSES
DESCRIPTOR.message_types_by_name['GetServiceDate_Parameters'] = _GETSERVICEDATE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetServiceDate_Responses'] = _GETSERVICEDATE_RESPONSES
DESCRIPTOR.message_types_by_name['SetServiceDate_Parameters'] = _SETSERVICEDATE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetServiceDate_Responses'] = _SETSERVICEDATE_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorCalibrationTemperature_Parameters'] = _GETSENSORCALIBRATIONTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorCalibrationTemperature_Responses'] = _GETSENSORCALIBRATIONTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['SetSensorCalibrationTemperature_Parameters'] = _SETSENSORCALIBRATIONTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetSensorCalibrationTemperature_Responses'] = _SETSENSORCALIBRATIONTEMPERATURE_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetCalibrationCertificate_Parameters = _reflection.GeneratedProtocolMessageType('GetCalibrationCertificate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATIONCERTIFICATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Parameters)
  })
_sym_db.RegisterMessage(GetCalibrationCertificate_Parameters)

GetCalibrationCertificate_Responses = _reflection.GeneratedProtocolMessageType('GetCalibrationCertificate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATIONCERTIFICATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationCertificate_Responses)
  })
_sym_db.RegisterMessage(GetCalibrationCertificate_Responses)

SetCalibrationCertificate_Parameters = _reflection.GeneratedProtocolMessageType('SetCalibrationCertificate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETCALIBRATIONCERTIFICATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Parameters)
  })
_sym_db.RegisterMessage(SetCalibrationCertificate_Parameters)

SetCalibrationCertificate_Responses = _reflection.GeneratedProtocolMessageType('SetCalibrationCertificate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETCALIBRATIONCERTIFICATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationCertificate_Responses)
  })
_sym_db.RegisterMessage(SetCalibrationCertificate_Responses)

GetCalibrationDate_Parameters = _reflection.GeneratedProtocolMessageType('GetCalibrationDate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATIONDATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Parameters)
  })
_sym_db.RegisterMessage(GetCalibrationDate_Parameters)

GetCalibrationDate_Responses = _reflection.GeneratedProtocolMessageType('GetCalibrationDate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATIONDATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetCalibrationDate_Responses)
  })
_sym_db.RegisterMessage(GetCalibrationDate_Responses)

SetCalibrationDate_Parameters = _reflection.GeneratedProtocolMessageType('SetCalibrationDate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETCALIBRATIONDATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Parameters)
  })
_sym_db.RegisterMessage(SetCalibrationDate_Parameters)

SetCalibrationDate_Responses = _reflection.GeneratedProtocolMessageType('SetCalibrationDate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETCALIBRATIONDATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetCalibrationDate_Responses)
  })
_sym_db.RegisterMessage(SetCalibrationDate_Responses)

GetServiceNumber_Parameters = _reflection.GeneratedProtocolMessageType('GetServiceNumber_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSERVICENUMBER_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Parameters)
  })
_sym_db.RegisterMessage(GetServiceNumber_Parameters)

GetServiceNumber_Responses = _reflection.GeneratedProtocolMessageType('GetServiceNumber_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSERVICENUMBER_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceNumber_Responses)
  })
_sym_db.RegisterMessage(GetServiceNumber_Responses)

SetServiceNumber_Parameters = _reflection.GeneratedProtocolMessageType('SetServiceNumber_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSERVICENUMBER_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Parameters)
  })
_sym_db.RegisterMessage(SetServiceNumber_Parameters)

SetServiceNumber_Responses = _reflection.GeneratedProtocolMessageType('SetServiceNumber_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSERVICENUMBER_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceNumber_Responses)
  })
_sym_db.RegisterMessage(SetServiceNumber_Responses)

GetServiceDate_Parameters = _reflection.GeneratedProtocolMessageType('GetServiceDate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSERVICEDATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Parameters)
  })
_sym_db.RegisterMessage(GetServiceDate_Parameters)

GetServiceDate_Responses = _reflection.GeneratedProtocolMessageType('GetServiceDate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSERVICEDATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetServiceDate_Responses)
  })
_sym_db.RegisterMessage(GetServiceDate_Responses)

SetServiceDate_Parameters = _reflection.GeneratedProtocolMessageType('SetServiceDate_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSERVICEDATE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Parameters)
  })
_sym_db.RegisterMessage(SetServiceDate_Parameters)

SetServiceDate_Responses = _reflection.GeneratedProtocolMessageType('SetServiceDate_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSERVICEDATE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetServiceDate_Responses)
  })
_sym_db.RegisterMessage(SetServiceDate_Responses)

GetSensorCalibrationTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorCalibrationTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORCALIBRATIONTEMPERATURE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetSensorCalibrationTemperature_Parameters)

GetSensorCalibrationTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetSensorCalibrationTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORCALIBRATIONTEMPERATURE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetSensorCalibrationTemperature_Responses)
  })
_sym_db.RegisterMessage(GetSensorCalibrationTemperature_Responses)

SetSensorCalibrationTemperature_Parameters = _reflection.GeneratedProtocolMessageType('SetSensorCalibrationTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETSENSORCALIBRATIONTEMPERATURE_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Parameters)
  })
_sym_db.RegisterMessage(SetSensorCalibrationTemperature_Parameters)

SetSensorCalibrationTemperature_Responses = _reflection.GeneratedProtocolMessageType('SetSensorCalibrationTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETSENSORCALIBRATIONTEMPERATURE_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetSensorCalibrationTemperature_Responses)
  })
_sym_db.RegisterMessage(SetSensorCalibrationTemperature_Responses)



_CALIBRATIONSERVICE = _descriptor.ServiceDescriptor(
  name='CalibrationService',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=1902,
  serialized_end=3946,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetCalibrationCertificate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetCalibrationCertificate',
    index=0,
    containing_service=None,
    input_type=_GETCALIBRATIONCERTIFICATE_PARAMETERS,
    output_type=_GETCALIBRATIONCERTIFICATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetCalibrationCertificate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetCalibrationCertificate',
    index=1,
    containing_service=None,
    input_type=_SETCALIBRATIONCERTIFICATE_PARAMETERS,
    output_type=_SETCALIBRATIONCERTIFICATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetCalibrationDate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetCalibrationDate',
    index=2,
    containing_service=None,
    input_type=_GETCALIBRATIONDATE_PARAMETERS,
    output_type=_GETCALIBRATIONDATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetCalibrationDate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetCalibrationDate',
    index=3,
    containing_service=None,
    input_type=_SETCALIBRATIONDATE_PARAMETERS,
    output_type=_SETCALIBRATIONDATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetServiceNumber',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetServiceNumber',
    index=4,
    containing_service=None,
    input_type=_GETSERVICENUMBER_PARAMETERS,
    output_type=_GETSERVICENUMBER_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetServiceNumber',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetServiceNumber',
    index=5,
    containing_service=None,
    input_type=_SETSERVICENUMBER_PARAMETERS,
    output_type=_SETSERVICENUMBER_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetServiceDate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetServiceDate',
    index=6,
    containing_service=None,
    input_type=_GETSERVICEDATE_PARAMETERS,
    output_type=_GETSERVICEDATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetServiceDate',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetServiceDate',
    index=7,
    containing_service=None,
    input_type=_SETSERVICEDATE_PARAMETERS,
    output_type=_SETSERVICEDATE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorCalibrationTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetSensorCalibrationTemperature',
    index=8,
    containing_service=None,
    input_type=_GETSENSORCALIBRATIONTEMPERATURE_PARAMETERS,
    output_type=_GETSENSORCALIBRATIONTEMPERATURE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetSensorCalibrationTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetSensorCalibrationTemperature',
    index=9,
    containing_service=None,
    input_type=_SETSENSORCALIBRATIONTEMPERATURE_PARAMETERS,
    output_type=_SETSENSORCALIBRATIONTEMPERATURE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_CALIBRATIONSERVICE)

DESCRIPTOR.services_by_name['CalibrationService'] = _CALIBRATIONSERVICE

# @@protoc_insertion_point(module_scope)
